%def_disable gtk1
%def_disable forte
%def_disable oldfile
%def_enable nls
%def_disable rpath
%def_enable threads
%define max_printers 255
#----------------------------------------------------------------------
%define subst_enable_to() %{expand:%%{?_enable_%{1}:--enable-%{2}}} %{expand:%%{?_disable_%{1}:--disable-%{2}}}

%define Name GtkLP
Name: gtklp
%define lname lib%name
Version: 1.2.5
Release: alt0.1
Summary: GTK utilities for CUPS
Summary(ru_RU.UTF-8): GTK утилиты для системы печати CUPS
License: %gpl2plus
Group: Graphical desktop/GNOME
Url: http://%name.sourceforge.net
Source0: %name-%version.src.tar.bz2
Source1: %name-logo.png
Patch2: %name-1.0-urlhandler.patch

# Automatically added by buildreq on Sun Sep 02 2007
#BuildRequires: gcc-c++ glibc-devel-static libcups-devel libgtk+2-devel libssl-devel

BuildRequires: libgtk+%{?_disable_gtk1:2}-devel libssl-devel
BuildRequires: libcups-devel >= 1.1
BuildRequires: rpm-build-licenses

%description
%Name provides tools to make use and administration of
Common Unix Printing System (CUPS) easier.
 * %Name is a frontend to CUPS and a print dialog replacement.
 * %{Name}Q ia a printing queue management tool.

%description -l ru_RU.UTF-8
%Name облегчает использование и администрирование
Универсальной Системы Печати для UNIX (CUPS).
 * %Name - графический интерфейс для CUPS и новый диалог печати.
 * %{Name}Q - программа управления очередью печати.


%prep
%setup
%patch2 -p1
mv po/uk_UA.po po/uk.po
mv po/uk_UA.gmo po/uk.gmo
subst 's/uk_UA/uk/g' po/LINGUAS


%build
%configure \
    %{subst_enable gtk1} \
    %{subst_enable forte} \
    %{subst_enable oldfile} \
    %{subst_enable nls} \
    %{subst_enable rpath} \
    %{subst_enable_to threads threads=posix} \
    %{?max_printers:--with-maxprinters=%max_printers}

%make_build
bzip2 --keep --force --best ChangeLog


%install
%make_install DESTDIR=%buildroot install
for l in ru uk; do
    install -d -m 0755 %buildroot%_mandir/$l/man1
    install man/%name-$l.1 %buildroot%_mandir/$l/man1/%name.1
    install man/%{name}q-$l.1 %buildroot%_mandir/$l/man1/%{name}q.1
done
%find_lang --with-man %name
%find_lang --append --without-mo --with-man --output=%name.lang %{name}q
# menus
install -m 0755 -d %buildroot%_desktopdir
iconv -f cp1251 -t utf8 > %buildroot%_desktopdir/%name.desktop <<__MENU__
[Desktop Entry]
Encoding=UTF-8
Name=LPR Frontend
Name[ru]= LPR
Name[ru]= LPR
Comment=LPR printing and administration frontend
Comment[ru]=    LPR
Comment[ru]=    LPR
Exec=%name
Icon=%name.xpm
Terminal=false
MultipleArgs=false
Type=GTK;Settings;Printing
__MENU__
iconv -f cp1251 -t utf8 > %buildroot%_desktopdir/%{name}q.desktop <<__MENU__
[Desktop Entry]
Encoding=UTF-8
Name=Printer Queue
Name[ru]= 
Name[uk]= 
Comment=Printer Queue Manager
Comment[ru]=  
Comment[uk]=  
Exec=%{name}q
Icon=%name.xpm
Terminal=false
MultipleArgs=false
Type=GTK;Settings;Printing
__MENU__

# icons
install -pD -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/%name-logo.png
for i in %lname/icons/*.xpm; do
    install -pD -m 0644 $i %buildroot%_iconsdir/hicolor/$(basename $i .xpm)/apps/%name.xpm
done

# alternatives
install -d %buildroot%_altdir
cat <<EOF >%buildroot%_altdir/%name
%_bindir/lpr	%_bindir/gtklp	20
EOF

# variable (always show GUI when printing)
install -d %buildroot%_sysconfdir/profile.d
cat > %buildroot%_sysconfdir/profile.d/%name.sh <<EOF
export GTKLP_FORCEX="1"
EOF
cat > %buildroot%_sysconfdir/profile.d/%name.csh <<EOF
setenv GTKLP_FORCEX "1"
EOF
chmod 0755 %buildroot%_sysconfdir/profile.d/%name.*


%post
%register_alternatives %name
%update_menus


%preun
[ "$1" != "0" ] || %unregister_alternatives %name


%postun
%clean_menus


%files -f %name.lang
%doc AUTHORS ChangeLog.* README TODO USAGE
%_bindir/*
%_pixmapsdir/*
%_desktopdir/*
%_altdir/*
%_sysconfdir/profile.d/*
%_iconsdir/hicolor/*/apps/*


%changelog
* Sun Sep 02 2007 Led <led@altlinux.ru> 1.2.5-alt0.1
- 1.2.5
- fixed License
- fixed BuildRequires
- fixed Url

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.0-alt1.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Wed Dec 01 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- 1.0
- alternatives (substitute lp & lpr)
- misc fixes

* Wed Aug 04 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.9r-alt2
- no adjustment of CUPS settings in %post (bug 4142)

* Sat May 15 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.9r-alt1
- 0.9r, control in %post

* Fri Nov 01 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.9k-alt3
- New build (using gcc 3.2), CUPS "Izvrat" mode fix

* Wed Jul 10 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.9k-alt2
- Russian man pages added

* Tue Jul 09 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.9k-alt1
- ALTLinux build
- Translation update
